import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class ConvexContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    convexAbracadabraWrapper({ address, network }: ContractOpts): import("./ethers").ConvexAbracadabraWrapper;
    convexBooster({ address, network }: ContractOpts): import("./ethers").ConvexBooster;
    convexBoosterSidechain({ address, network }: ContractOpts): import("./ethers").ConvexBoosterSidechain;
    convexCvxCrvStaking({ address, network }: ContractOpts): import("./ethers").ConvexCvxCrvStaking;
    convexCvxCrvStakingUtilities({ address, network }: ContractOpts): import("./ethers").ConvexCvxCrvStakingUtilities;
    convexCvxCrvStakingWrapped({ address, network }: ContractOpts): import("./ethers").ConvexCvxCrvStakingWrapped;
    convexCvxStaking({ address, network }: ContractOpts): import("./ethers").ConvexCvxStaking;
    convexDepositToken({ address, network }: ContractOpts): import("./ethers").ConvexDepositToken;
    convexDepositor({ address, network }: ContractOpts): import("./ethers").ConvexDepositor;
    convexRewardPool({ address, network }: ContractOpts): import("./ethers").ConvexRewardPool;
    convexSingleStakingRewards({ address, network }: ContractOpts): import("./ethers").ConvexSingleStakingRewards;
    convexStashTokenWrapped({ address, network }: ContractOpts): import("./ethers").ConvexStashTokenWrapped;
    convexVirtualBalanceRewardPool({ address, network }: ContractOpts): import("./ethers").ConvexVirtualBalanceRewardPool;
    convexVotingEscrow({ address, network }: ContractOpts): import("./ethers").ConvexVotingEscrow;
}
export type { ConvexAbracadabraWrapper } from './ethers';
export type { ConvexBooster } from './ethers';
export type { ConvexBoosterSidechain } from './ethers';
export type { ConvexCvxCrvStaking } from './ethers';
export type { ConvexCvxCrvStakingUtilities } from './ethers';
export type { ConvexCvxCrvStakingWrapped } from './ethers';
export type { ConvexCvxStaking } from './ethers';
export type { ConvexDepositToken } from './ethers';
export type { ConvexDepositor } from './ethers';
export type { ConvexRewardPool } from './ethers';
export type { ConvexSingleStakingRewards } from './ethers';
export type { ConvexStashTokenWrapped } from './ethers';
export type { ConvexVirtualBalanceRewardPool } from './ethers';
export type { ConvexVotingEscrow } from './ethers';
